Skip to Content
veriom

Sync connector installation

POST
/v1/workspaces/{workspace_id}/connector-installations/{installation_id}/sync

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
installation_id*Installation Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
installation*
run*
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/connector-installations/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync'
Example Response
{  "installation": {    "auth_mode": "string",    "checkpoint": {},    "circuit_open_until": "2019-08-24T14:15:22Z",    "config": {},    "consecutive_failures": 0,    "created_at": "2019-08-24T14:15:22Z",    "credential_configured": true,    "credential_version": 0,    "cursor": "string",    "definition_key": "string",    "display_name": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "installed_by": "7ce86621-e8ba-4173-a3a1-53b48ad3100c",    "last_error_category": "string",    "last_error_code": "string",    "last_synced_at": "2019-08-24T14:15:22Z",    "last_tested_at": "2019-08-24T14:15:22Z",    "next_sync_at": "2019-08-24T14:15:22Z",    "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",    "paused_at": "2019-08-24T14:15:22Z",    "revision": 0,    "revoked_at": "2019-08-24T14:15:22Z",    "scopes": [      "string"    ],    "status": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "run": {    "accepted_count": 0,    "attempt": 0,    "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",    "checkpoint": {},    "completed_at": "2019-08-24T14:15:22Z",    "connector_key": "string",    "connector_kind": "string",    "correlation_id": "string",    "coverage": "string",    "created_at": "2019-08-24T14:15:22Z",    "cursor_after": "string",    "cursor_before": "string",    "duplicate_count": 0,    "error_category": "authorization",    "error_code": "string",    "error_detail": "string",    "expected_signals": [      "string"    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "initiated_by": "9f5ebe27-153d-4963-8417-06d50be356ec",    "installation_id": "91166175-c6a9-4caf-88e9-3147ffc9c934",    "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157",    "missing_signals": [      "string"    ],    "observed_signals": [      "string"    ],    "operation": "string",    "rate_limit_reset_at": "2019-08-24T14:15:22Z",    "rejected_count": 0,    "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",    "retry_after_seconds": 0,    "schema_version": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "string",    "trigger": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }}